Dangerous Goods / Limited Quantity
It's possible to send Limited Quantity and Dangerous Goods shipments through certain carriers in Shipmondo.
In this guide we show how to create these through the Shipmondo API.
The values in the following examples are made up and may not be valid for an actual ADR / LQ shipment.
Limited Quantity
Creating Limited Quantity shipments are simpler than Dangerous Goods shipments.
First of all you must add LQ to services_codes, and then add the information about the goods in the parcels array. For each object in the parcels array that holds dangerous goods you add the dangerous_goods array and add atleast one object with the 3 parameters: net_weight, un_number and class.
- net_weight is the actual weight, in grams, of the dangerous goods.
- un_number is the UN number that describes the goods.
- class is the hazard class of the goods.
With this, we can create a shipment request
{
"own_agreement": true,
"product_code": "DFM_SG",
"service_codes": "LQ",
"parties": [
{
"type": "sender",
"name": "My Company ApS",
"address1": "Strandvejen 6B",
"postal_code": "5240",
"city": "Odense NØ",
"country_code": "DK",
"email": "info@mycompany.com"
},
{
"type": "receiver",
"name": "Lene Jensen",
"address1": "Vindegade 112",
"postal_code": "5000",
"city": "Odense C",
"country_code": "DK",
"email": "lene@email.dk",
"phone": "50607080"
}
],
"parcels": [
{
"weight": 21000,
"packaging": "CLL",
"description": "Dieselolie",
"length": 120,
"width": 80,
"height": 60,
"running_metre": 1,
"dangerous_goods": [
{
"net_weight": 20000,
"un_number": "1202",
"class": "3"
}
]
}
]
}
ADR - Dangerous Goods by Road
Creating Dangerous Goods shipments requires more information than Limited Quantity. For these shipments you must add ADR to service_codes.
For Danske Fragtmænd, you can add INCL_WAYBILL to get access to the waybill and ADR documentation through the shipment waybills endpoint (Check our specification for more information).
Shipments from other carriers may include ADR documentation that has to be attached, without any additional services.
If INCL_WAYBILL is used, you must print out the waybill yourself. Danske Fragtmænd will not do this.
In ADR shipments, the 3 fields in LQ are used as well, so we will skip the explanation here. Other than these, ADR shipments takes the following fields in the dangerous_goods array:
- quantity is the quantity of the goods.
- gross_weight is the total mass of the goods and outer packaging.
- packaging is the packaging that the goods are contained in.
- description is the official description of the goods.
- packing_group is the packing group of the goods, denoted by I, II or III.
- tunnel_restriction_code is the restriction of whether the goods and be transported through a tunnel, denoted by a letter.
- environmentally_hazardous is an indicator on whether the goods are hazardous to the environment. This is denoted with a boolean value.
With this, we can create a shipment request
{
"own_agreement": true,
"product_code": "DFM_SG",
"service_codes": "ADR",
"parties": [
{
"type": "sender",
"name": "My Company ApS",
"address1": "Strandvejen 6B",
"postal_code": "5240",
"city": "Odense NØ",
"country_code": "DK",
"email": "info@mycompany.com"
},
{
"type": "receiver",
"name": "Lene Jensen",
"address1": "Vindegade 112",
"postal_code": "5000",
"city": "Odense C",
"country_code": "DK",
"email": "lene@email.dk",
"phone": "50607080"
}
],
"parcels": [
{
"weight": 21000,
"packaging": "CLL",
"description": "Dieselolie",
"length": 120,
"width": 80,
"height": 60,
"running_metre": 1,
"dangerous_goods": [
{
"net_weight": 20000,
"gross_weight": 21000,
"un_number": "1202",
"class": "3",
"quantity": 3,
"packaging": "tønder",
"description": "DIESELOLIE, < 62°C (640K)",
"packing_group": "III",
"tunnel_restriction_code": "A",
"environmentally_hazardous": true
}
]
}
]
}
IATA - Lithium Batteries shipped by air
When shipping lithium batteries by air, you must specify the correct classification for your batteries by selecting the appropriate service:
- IATA_II (IATA Section II)
- IATA_IB (IATA Section IB)
Depending on the service code you choose, specific attributes must be added to your parcel payload.
Service Code: IATA_II
Both the material and package type are required:
battery_material_type:li_ion(Lithium ion)li_metal(Lithium metal)
battery_package_type:contained_in_equipmentpacked_with_equipment
Service Code: IATA_IB
Only the material type is required:
battery_material_type:li_ion(Lithium ion)li_metal(Lithium metal)
Shipmondo does not provide a "Shipper's Declaration for Dangerous Goods" for batteries covered by IATA section IB.
Example Request
Request body for creating a shipment with IATA_II service code and lithium batteries:
{
...
"service_codes": "IATA_II",
...
"parcels": [
{
"quantity": 1,
"weight": 500,
"height": 20,
"width": 15,
"length": 12,
"attributes": [
{
"name": "battery_material_type",
"value": "li_ion"
},
{
"name": "battery_package_type",
"value": "contained_in_equipment"
}
]
}
]
...
}